Page MenuHomePhabricator

CAS build as a deb
Closed, ResolvedPublic

Description

We currently build from Git via Puppet, but an alternative forward way would be to move the WAR build into a separate package which generates a deb for deployment (to be run from boron). That's specifically useful when we've more than one CAS server and will also make it simpler to e.g. build a new version for testing in the staging environment.

We could even upload such a package to Debian (while a fully fledged CAS build into Debian seems a too huge undertaking given the complexity and modularity of the current deployment approach by upstream.

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedMoritzMuehlenhoff

Event Timeline

herron triaged this task as Medium priority.Sep 26 2019, 5:16 PM
MoritzMuehlenhoff added a project: CAS-SSO.

I'm already working on this

Change 594718 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/software/cas-overlay-template@master] Add debian/ directory to the build overlay (WIP)

https://gerrit.wikimedia.org/r/594718

Change 597228 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Make CAS deployment via a deb toggleable

https://gerrit.wikimedia.org/r/597228

Change 594718 merged by Muehlenhoff:
[operations/software/cas-overlay-template@master] Add debian/ directory to the build overlay

https://gerrit.wikimedia.org/r/594718

Change 598437 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/software/cas-overlay-template@master] Add proxy configuration for the build overlay

https://gerrit.wikimedia.org/r/598437

Change 598437 merged by Muehlenhoff:
[operations/software/cas-overlay-template@master] Add proxy configuration for the build overlay

https://gerrit.wikimedia.org/r/598437

Mentioned in SAL (#wikimedia-operations) [2020-05-25T11:46:23Z] <moritzm> uploaded CAS 6.1.5-1 to apt.wikimedia.org T233947

Change 597228 merged by Muehlenhoff:
[operations/puppet@production] Make CAS deployment via a deb toggleable

https://gerrit.wikimedia.org/r/597228

Change 598475 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Also deploy production IDPs via deb

https://gerrit.wikimedia.org/r/598475

jbond moved this task from Backlog to in progress on the CAS-SSO board.May 26 2020, 9:32 AM

Change 598475 merged by Muehlenhoff:
[operations/puppet@production] Also deploy production IDPs via deb

https://gerrit.wikimedia.org/r/598475

Change 598718 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove support for non-Tomcat and non-DEB deployments

https://gerrit.wikimedia.org/r/598718

Change 598718 merged by Muehlenhoff:
[operations/puppet@production] Remove support for non-Tomcat and non-DEB deployments

https://gerrit.wikimedia.org/r/598718

Puppet is now deployed as a deb.

Change 599306 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add component/idp-test and enable on the staging IDPs

https://gerrit.wikimedia.org/r/599306

Change 599306 merged by Muehlenhoff:
[operations/puppet@production] Add component/idp-test and enable on the staging IDPs

https://gerrit.wikimedia.org/r/599306

jbond closed this task as Resolved.May 29 2020, 8:39 AM

Puppet is now deployed as a deb.

Resolving please reopen if there are further task